import 'package:flutter/material.dart';
import 'package:functions/src/features/locate_device/presentation/locate_device_screen.dart';
import 'package:go_router/go_router.dart';
import 'package:get_it/get_it.dart';
import 'package:navigation/navigation.dart';

class LocateDeviceBuilder {
  const LocateDeviceBuilder();

  Page<void> buildPage(BuildContext context, GoRouterState state) {
    final NavigationContract navigationContract = GetIt.I<NavigationContract>();

    return MaterialPage<void>(
      key: state.pageKey,
      child: LocateDeviceScreen(navigationContract: navigationContract),
    );
  }
}
